:root {
  --beige: #f5ebdc;
  --blue: rgba(55, 183, 192, 1);
  --pink: rgba(232, 67, 101, 1);
  --black: #242424;
}






/* Typography */
@import url("https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css");
* {
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

body {
  font-family: bricolage-grotesque, sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 16px;
  color: var(--black);
}

body p {
  margin: 0 0 1em;
}

h1 {
  font-family: bricolage-grotesque, sans-serif;
  font-weight: 300;
  font-style: normal;
  text-transform: uppercase;
  color: var(--black);
}

h2 {
  font-size: 1em;
  font-weight: 500;
  margin: 0;
  line-height: 1.1em;
  color: var(--black);
}

a {
  text-decoration: none;
  color: var(--pink);
}




/* General */

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  background-color: var(--beige);
}


hr {
  border: 0;
  border-top: 1px dashed var(--pink);
  width: 100%;
  margin: 0 auto 1em;
}


/* Row styling */

.row {
  display: flex;
  flex-direction: column;
  width: 90%;
  max-width: 400px;
  align-items: center;
  justify-content: space-between;
  position: relative;
  margin: auto;
  gap: 40px;
  padding: 50px 0;
  }

.row.hero {
  justify-content: center;
  mix-blend-mode: multiply;
  padding-bottom: 0;
}

.row .column.center {
  align-items: center;
}

.row .column {
  align-items: left;
  display: flex;
  flex-direction: column;
  width: 100%;
  position: relative;
}

.row .column.image {
  align-items: center;
  order: -1;
}
  
.column.text {
  width: 90%;
}

.row .polaroid-frame {
  position: relative;
  width: 95%;
  height: auto;
  margin: 0;
}


.row .left .polaroid-frame {
  transform: rotate(-4deg);
}

.row .right .polaroid-frame {
  transform: rotate(4deg);
}

.row .heading {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  flex: 0 0 auto;
  width: 96.46px;
  height: 38px;
  margin-bottom: 20px;
  align-self: center;
}

.row .heading h1 {
  position: relative;
  font-size: 18px;
  text-align: center;
  letter-spacing: 0.5px;
  line-height: normal;
}

.row .vector {
  position: Absolute;
  width: 96.46px;
  height: 38px;
}

.row.hero svg {
    max-width: 90%;
  }

.row .details {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
}

.row .details p {
  margin: 0;
  width: calc(100% - 34px);
  line-height: 1em;
}

.row .details-container {
  align-items: center;
  gap: 8px;
  display: flex;
  position: relative;
  width: 100%;
  flex: 0 0 auto;
}

.row .icon {
  position: relative;
  width: 25px;
  height: 25px;
}

.details-container .icon {
    width: 25px !important;
  }

.row .arrow {
  position: relative;
  width: 13px;
  height: 10px;
}

/* Buttons */

button:focus-visible {
  outline: 2px solid var(--blue) !important;
  outline: -webkit-focus-ring-color auto 5px !important;
}


a.button {
  all: unset;
  width: fit-content;
  box-sizing: border-box;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 8px 16px 8px 18px;
  position: relative;
  flex: 0 0 auto;
  border-radius: 95px;
  border: 2px solid;
  border-color: var(--pink);
  margin-top: 20px;
  font-size: 0.9em;
  cursor: pointer;
  transition: all 250ms ease-in;
  overflow: hidden;
  align-self: center;
}

a.button span{
  z-index: 2;
}

a.button svg {
  transition: all 250ms ease-in;
  stroke: var(--black);
}

a.button:before {
  content: '';
  width: 0px;
  height: 100%;
  position: absolute;
  margin: auto;
  background: var(--pink);
  z-index: 0;
  transition: all 250ms ease-out;
  opacity: 0.1;
}

a.button:hover:before {
  width: 110%;
}


/* When */

.schedule-cont {
  width: 100%;
  margin: auto;
  max-width: 400px;
  padding: 40px 0;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.schedule-item {
  display: flex;
  align-items: center;
  gap: 15px;
  justify-content: center;
}



.schedule-item:nth-child(odd) .schedule-icon {
  justify-content: flex-end;
}

.schedule-icon {
  display: flex;
  align-items: center;
  width: 20vw;
  height: auto;
}

.schedule-icon svg {
  transform: scale(0.85);
}

.schedule-text {
  text-align: center;
}


.schedule-text p {
  margin: 0;
  padding: 0;
  line-height: 1.1em;
}


.schedule-item:nth-child(odd) {
  padding-right: calc(20vw + 10px);
}

.schedule-item:nth-child(even) {
  padding-left: calc(20vw + 10px);
}


/* Who */

.row.who {
  display: none;
  flex-direction: column;
  gap: 0px;
}

.person-cont {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 0px;
  align-items: center;
  flex-direction: column;
  
}

.person {
  display: flex;
  align-items: center;
  justify-content: middle;
  flex-direction: column;
  width: 190px;
  height: 190px;
  border-radius: 50%;
  overflow: hidden;
  aspect-ratio: 1 / 1;
}

.person svg {
  width: 240px;
  position: absolute;
  aspect-ratio: 1 / 1;
  font-size: 46px;
  fill: var(--black);
  margin-top: -22px;
}

.person.kate {
  margin-right: 20vw;
}

.person.cian {
  margin-left: 20vw;
}

.person.cian img {
  width: 90%;
  margin: auto;
  margin-top: 10%;
}

.person.kate img {
  width: 100%;
}

.person.phoebe img {
  width: 165px;
  margin-top: 25px;
}

.person.sarah img {
  width: 100%;
  margin-top: 15px;
}

.person img {
  width: 190px;
  aspect-ratio: 1 / 1;
  mix-blend-mode: multiply;
}

.person img:after {
  content: "";
  aspect-ratio: 1 / 1;
  width: 100%;
  height: 100%;
  box-shadow: inset 0 0 10px #000000;
  border-radius: 50%;
  position: absolute;
}


/* How */

.accordion .accordion-item {
  border-bottom: 1px solid var(--blue);
}

.accordion .accordion-item button[aria-expanded="true"] {
  border-bottom: 1px solid var(--pink);
}

.accordion button {
  font-family: bricolage-grotesque, sans-serif;
  font-weight: 300;
  font-style: normal;
  line-height: 1.1em;
  text-align: left;
  font-size: 1em;
  position: relative;
  display: block;
  width: 100%;
  padding: 1em 0;
  padding-right: 60px;
  color: var(--black);
  border: none;
  background: none;
  outline: none;
  transition: all 200ms linear;
}

.accordion button:hover,
.accordion button:focus {
  cursor: pointer;
}

.accordion button .accordion-title {
  padding: 1em 1.5em 1em 0;
}

.accordion button .icon {
  display: inline-block;
  position: absolute;
  top: 18px;
  right: 0;
  width: 22px;
  height: 22px;
  border: 1px solid rgba(55, 183, 192, 0);
  background: rgba(55, 183, 192, 0.75);
  border-radius: 22px;
}

.accordion button .icon:before {
  display: block;
  position: absolute;
  content: "";
  top: 9px;
  left: 5px;
  width: 10px;
  height: 2px;
  background: var(--black);
}

.accordion button .icon:after {
  display: block;
  position: absolute;
  content: "";
  top: 5px;
  left: 9px;
  width: 2px;
  height: 10px;
  background: var(--black);
}

.accordion button[aria-expanded="true"] {
}

.accordion button[aria-expanded="true"] .icon:after {
  width: 0;
}

.accordion button[aria-expanded="true"] + .accordion-content {
  opacity: 1;
  max-height: 15em;
  transition: all 200ms linear;
  will-change: opacity, max-height;
  margin: 1em 0;
}

.accordion .accordion-content {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: opacity 200ms linear, max-height 200ms linear;
  will-change: opacity, max-height;
}

.accordion .accordion-content p {
  font-size: 1em;
}



@media screen and (min-width: 500px) and (max-width: 899px) {
  
  .person-cont.a,
  .person-cont.b {
    gap: 10px;
    margin-top: 90px;
  }

  .person-cont.a {
    margin-top: 120px;
  }

  .person {
    margin-top: -140px;
  }
  
  .person.kate {
    margin-right: 200px;
  }

  .person.cian {
    margin-left: 200px;
  }
  
  .row.who {
    gap: 10px;
  }
  
}

@media screen and (min-width: 500px) {
  
  a.button {
    align-self: flex-start;
  }
  
  body {
    font-size: 18px;
  }
  
  .person svg {
   font-size: 44px;
  }
  
  .schedule-icon {
    width: 80px;
    height: 40px;
  }
  
  .schedule-icon svg {
    transform: scale(1);
  }
  
  .schedule-item:nth-child(odd) {
  padding-right: 95px;
  }
  
  .schedule-item:nth-child(even) {
    padding-left: 95px;
  }
  
}

@media screen and (min-width: 900px) {
  
  body {
    background-image: url("https://assets.codepen.io/13944852/AdobeStock_318130276.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center top;
    background-size: cover;
  }
  
  .row.hero {
    padding: 100px 0 50px;
  }
  
  .row .column.image {
    order: unset;
  }
  
  .column.text {
    width: 100%;
  }
  
  .row .column.text .heading {
    align-self: flex-start;
    
  }
  
  .person-cont {
    flex-direction: row;
  }
  
  .person-cont.b {
    gap: 120px;
  }
  
  .person.kate {
    margin-right: 0;
  }

  .person.cian {
    margin-left: 0;
  }
  
  .row {
    max-width: 800px;
    flex-direction: row;
    gap: 50px;
  }
  
  .row .polaroid-frame {  
    width: 324.11px;
    height: 390.64px;
    margin-top: -9.25px;
    margin-bottom: -13.87px;
  }

  
  .row.who {
    gap: 50px;
  }
  
}